## mkdocs-literate-nav 0.6.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile --output-file=docs/requirements.txt -
#
click==8.1.3
    # via mkdocs
ghp-import==2.1.0
    # via mkdocs
importlib-metadata==4.11.4
    # via mkdocs
jinja2==3.1.2
    # via
    #   mkdocs
    #   mkdocs-material
markdown==3.3.7
    # via
    #   markdown-callouts
    #   mkdocs
    #   mkdocs-material
    #   pymdown-extensions
markdown-callouts==0.2.0
    # via -r -
markupsafe==2.1.1
    # via jinja2
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.3.0
    # via
    #   -r -
    #   mkdocs-material
mkdocs-material==8.3.6
    # via -r -
mkdocs-material-extensions==1.0.3
    # via mkdocs-material
packaging==21.3
    # via mkdocs
pygments==2.12.0
    # via mkdocs-material
pymdown-extensions==9.5
    # via
    #   -r -
    #   mkdocs-material
pyparsing==3.0.9
    # via packaging
python-dateutil==2.8.2
    # via ghp-import
pyyaml==6.0
    # via
    #   mkdocs
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
six==1.16.0
    # via python-dateutil
watchdog==2.1.9
    # via mkdocs
zipp==3.8.0
    # via importlib-metadata

## mkdocs-literate-nav 0.5.0

=== debian/changelog ===
mkdocs-literate-nav (0.5.0-2) unstable; urgency=medium

  * Source only upload
  * [67c3973] d/control: Correct Vcs-Browser URL
  * [8d02721] d/control: Mark the -doc package as Multi-Arch foreign

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Nov 2022 23:06:38 +0100

mkdocs-literate-nav (0.5.0-1) unstable; urgency=medium

  * [0f5e116] New upstream version 0.5.0
  * [7000266] First and basic Debianization
    (Closes: #1023891)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Nov 2022 10:20:34 +0100

=== debian/control ===
Source: mkdocs-literate-nav
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mkdocs <!nocheck>,
 mkdocs-material <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-markdown <!nocheck>,
 python3-markdown-callouts,
 python3-poetry,
 python3-pymdownx,
 python3-pytest <!nocheck>,
 python3-pytest-golden <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/oprypin/mkdocs-literate-nav
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-literate-nav.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-literate-nav

Package: mkdocs-literate-nav
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 mkdocs-literate-nav-doc,
 ${python3:Suggests},
Description: MkDocs extension to specify the navigation in Markdown (Python3)
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains the mkdocs-literate-nav extension, which allows one
 to use Markdown instead of YAML to define a navigation structure within
 your MkDocs based documentation files.

Package: mkdocs-literate-nav-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${mkdocs:Depends}
Description: MkDocs extension to specify the navigation in Markdown (Documentation)
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This core binary package contains the mkdocs-literate-nav extension, which
 allows one to use Markdown instead of YAML to define a navigation structure
 within your MkDocs based documentation files.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=mkdocs_literate_nav
export PYBUILD_DESTDIR=debian/mkdocs-literate-nav

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf html .pytest_cache
	dh_clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m mkdocs build -v --site-dir=html
	rm html/requirements.* html/sitemap.xml.gz
endif

override_dh_installdocs:
	dh_installdocs
	# Workaround to move content of mkdocs-literate-nav-doc into the right
	# place.
	mv $(CURDIR)/debian/mkdocs-literate-nav-doc/usr/share/doc/mkdocs-literate-nav/* \
	   $(CURDIR)/debian/mkdocs-literate-nav-doc/usr/share/doc/mkdocs-literate-nav-doc && \
	rm -rf $(CURDIR)/debian/mkdocs-literate-nav-doc/usr/share/doc/mkdocs-literate-nav

## mkdocs-literate-nav 0.6.0

=== debian/changelog ===
mkdocs-literate-nav (0.6.0-1) unstable; urgency=medium

  * [f3fe5df] New upstream version 0.6.0
  * [233ebdb] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [5f921c6] d/control: Drop python3-poetry, add python3-hatchling
  * [f5174af] d/rules: Ensure nodoc build profile can succeed
  * [95aaee2] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Jan 2023 08:54:55 +0100

=== debian/watch ===
# watch file for mkdoc-literate-nav

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/oprypin/mkdocs-literate-nav.git \
      refs/tags/v@ANY_VERSION@

## mkdocs-literate-nav 0.6.1

=== debian/changelog ===
mkdocs-literate-nav (0.6.1-1) unstable; urgency=medium

  * [6722184] d/*.doc-base: Fixup small typos
  * [74e8d80] d/watch: Set compression typ to gz
  * [59a1fc7] New upstream version 0.6.1
  * [01d668a] Rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Sep 2023 15:32:54 +0530

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-markdown <!nocheck>,
- python3-markdown-callouts,
- python3-poetry,
+ python3-markdown-callouts <!nodoc>,
+ python3-hatchling,
  python3-pymdownx,
  python3-pytest <!nocheck>,
  python3-pytest-golden <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/oprypin/mkdocs-literate-nav
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-literate-nav.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-literate-nav

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-markdown,
 python3-pytest,
 python3-pytest-golden, 
 @,
Restrictions: allow-stderr

## mkdocs-literate-nav 0.6.2

=== debian/changelog ===
mkdocs-literate-nav (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop nocheck from mkdocs and mkdocs-material. Closes: #1116791.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * Add debian/salsa.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 15:20:00 +0200

mkdocs-literate-nav (0.6.2-1) unstable; urgency=medium

  * [5d7e6ac] New upstream version 0.6.2
  * [c21307f] Rebuild patch queue from patch queue branch
    Updated patch:
    Privacy-Remove-linking-to-unneeded-graphics.patch
  * [32d100f] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [822d8b4] d/control: Add Testsuite: autopkgtest-pkg-pybuild
  * [d53ba39] d/copyright: Update year data
  * [366d166] d/*: Run wrap-and-sort -ast

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Mar 2025 08:27:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Carsten Schoenert <c.schoenert@t-online.de>
+ Carsten Schoenert <c.schoenert@t-online.de>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- mkdocs <!nocheck>,
- mkdocs-material <!nocheck>,
+ mkdocs,
+ mkdocs-material,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-markdown <!nocheck>,
  python3-markdown-callouts <!nodoc>,
- python3-hatchling,
  python3-pymdownx,
  python3-pytest <!nocheck>,
  python3-pytest-golden <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/oprypin/mkdocs-literate-nav
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-literate-nav.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-literate-nav
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: mkdocs-literate-nav
 Architecture: all
@@ -49,7 +49,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${mkdocs:Depends}
+ ${mkdocs:Depends},
 Description: MkDocs extension to specify the navigation in Markdown (Documentation)
  MkDocs is a fast, simple and downright gorgeous static site generator
  that's geared towards building project documentation. Documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=mkdocs_literate_nav
export PYBUILD_DESTDIR=debian/mkdocs-literate-nav

%:
	dh $@ --with mkdocs --buildsystem=pybuild

override_dh_clean:
	rm -rf html .pytest_cache
	dh_clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m mkdocs build -v --site-dir=html
	rm -f html/requirements.* html/sitemap.xml.gz
endif

override_dh_mkdocs:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_mkdocs
endif

override_dh_installdocs:
	dh_installdocs
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	# Workaround to move content of mkdocs-literate-nav-doc into the right
	# place.
	mv $(CURDIR)/debian/mkdocs-literate-nav-doc/usr/share/doc/mkdocs-literate-nav/* \
	   $(CURDIR)/debian/mkdocs-literate-nav-doc/usr/share/doc/mkdocs-literate-nav-doc && \
	rm -rf $(CURDIR)/debian/mkdocs-literate-nav-doc/usr/share/doc/mkdocs-literate-nav
endif

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 python3-markdown,
 python3-pytest,
 python3-pytest-golden,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/oprypin/mkdocs-literate-nav.git \
